DIRNAME(1)

NUME
dirname - elimină ultima componentă din numele fișierului

SINOPSIS
dirname [OPȚIUNE] NUME...

DESCRIERE

Afișează fiecare NUME cu ultima sa componentă fără bară oblică și cu barele oblice de la final eliminate; dacă NUME nu conține /, afișează «.» (adică directorul curent).

-z, --zero
    termină fiecare linie afișată cu NUL, nu cu o nouă linie

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

EXEMPLE

dirname /usr/bin/
    → „/usr”

dirname dir1/șir dir2/șir
    → „dir1” urmat de „dir2”

dirname stdio.h
    → „.”

AUTOR
Scris de David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
basename(1), readlink(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/dirname>
sau local rulând comanda: «info '(coreutils) dirname invocation'»

Împachetat de Debian (9.7-2)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.